bogl (0.1.18-14) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * patches/warning: Fix some harmless warnings.

  [ Adam Conrad ]
  * debian/patches/makefile: Use DEB_HOST vars consistently, rather than
    incorrectly using DEB_BUILD and uname to guess what we're building.
  * debian/patches/makefile: Don't build vga16 on arm, due to glibc 2.30
    (Closes: Bug#940824)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 21 Sep 2019 00:38:50 +0200

bogl (0.1.18-13) unstable; urgency=medium

  * patches/invisible: Call iswspace instead of isspace, fixes crash on
    U+FEFF.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 08 Mar 2018 23:47:43 +0100

bogl (0.1.18-12) unstable; urgency=medium

  * patches: Switch to 3.0 patch system.
  * Use canonical anonscm vcs URL.
  * patches/gcc-7: Fix build with gcc-7 (Closes: Bug#853335)
  * patches/cub: Support cub blindly emitted by busybox.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.1.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 05 Oct 2017 22:56:47 +0200

bogl (0.1.18-11) unstable; urgency=medium

  * compat: Bump to 9.
  * rules: Clear.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Dec 2015 21:20:45 +0100

bogl (0.1.18-10) unstable; urgency=low

  [ Samuel Thibault ]
  * control:
    - Use Package-Type instead of XC-Package-Type.
    - Build-depend on libgd-dev instead of libgd2-dev.
    - Fix VCS URL.
  * bdftobogl.c: Rework to avoid letting static analyzers think there's a bug
    (Closes: Bug#737606).
  * Bump Standards-Version to 3.9.6.
  * Do not print invisible characters, ZWSP for Persian notably.
    (Closes: Bug#794204).

  [ Luca Coppolaro ]
  * bogl-font-new.c: Fix conversion of lines of glyphs with high bit set
    (Closes: Bug#796034).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Oct 2015 21:24:35 +0100

bogl (0.1.18-9) unstable; urgency=low

  * Replace libgd2-{noxpm,xpm}-dev build-depend with libgd2-dev.
  * Fix bdftobogl crash on invalid font file.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 27 Jun 2013 17:50:09 +0200

bogl (0.1.18-8) unstable; urgency=low

  * Fix non-linux archs build (Closes: Bug#671041).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 03 May 2012 01:15:04 +0200

bogl (0.1.18-7) unstable; urgency=low

  [ Samuel Thibault ]
  * control:
    - Bump Standards-Version to 3.9.3 (no changes).
    - Set libbogl0 multi-arch: same
  * rules: Move libraries to multi-arch path.
  * libbogl0, libbogl-dev: Use multi-arch path.

  [ Sven Joachim ]
  * control:
    - make libbogl0 pre-depend on multi-arch-support
    - Build-depend on recent debhelper to get misc:Pre-Depends.
    - Depend and build-depend on ncurses-term (>= 5.9-7) (see #562134).
  * bogl-bterm: Do not include /usr/share/terminfo/b/bterm anymore.
  * rules: install the bterm terminfo from ncurses-term into bogl-term-udeb.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 25 Feb 2012 17:26:32 +0100

bogl (0.1.18-6) unstable; urgency=low

  * Add VCS-Browser and VCS-Git fields.
  * control:
    - Depend on hardening-check.
    - Bump Standards-Version to 3.9.2 (No changes needed).
  * rules:
    - Set DEB_BUILD_HARDENING=1 to enable hardening.
    - Add build-{arch,indep}.
    - Build udeb separately with -Os (Closes: Bug#314353).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 05 Feb 2012 03:02:06 +0100

bogl (0.1.18-5) unstable; urgency=low

  * New maintainer (Closes: #385919).
  * Fix compilation warnings.
  * Drop -lpng and -lm, they are actually not needed.
  * Add manpages for mergebdf, pngtobogl, reduce-font.
  * Remove debian/libbogl0.postinst.
  * Bump Standards-Version to 3.9.1 (no change needed).
  * Fix non-Linux build (Closes: #589987).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 20 Mar 2011 19:03:58 +0100

bogl (0.1.18-4) unstable; urgency=low

  * QA upload.
  * If a "--" argument is encountered on bterm's command line, terminate
    option processing there and accept arguments after the command name.
    Thanks to Colin Watson <cjwatson@ubuntu.com> for the patch.
    Closes: #528783.
  * Drop gratuitous hardcoded ldconfig call in libbogl0 postinst.
  * Drop redundant debian/foo.dirs.
  * Update standards-version to 3.8.4, no changes required.

 -- Steve Langasek <vorlon@debian.org>  Tue, 22 Jun 2010 00:06:57 +0000

bogl (0.1.18-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Improve packaging of the udeb by using current debhelper functionality.
    Ensures correct versioned dependency on libc. Closes: #564488.
  * Drop the 'Provides: editor' for bogl-bterm-udeb. It's unused and most
    likely incorrect.
  * Avoid executable stack. Patch taken from Fedora. Closes: #539775.

 -- Frans Pop <fjp@debian.org>  Sun, 10 Jan 2010 11:33:52 +0100

bogl (0.1.18-3) unstable; urgency=low

  * QA upload.
  * Close-on-exec internal fds. (Closes: #512657).
    + Thanks to Colin Watson for the patch.
  * Support enter_bold_mode. (Closes: #486933).
    + Thanks to Samuel Thibault for the patch.
  * Make SIGCHLD handler more robust. (Closes: #329164).
    + Thanks to Miloslav Trmac for the patch.
  * Display combined chars. (Closes: #279984).
    + Thanks to Eugeniy Meshcheryakov for the patch.
  * Make clean not ignore errors.
  * Replace pwd with $(CURDIR) in rules.
  * Replace ${Source-Version} with ${binary:Version} in Depends.
  * Add ${misc:Depends} for debhelper package.
  * Add appropriate copyright holders to debian/copyright.
  * Bump debhelper build-dep 5.
    + Move DH_COMPAT from rules to debian/compat and set to 5.
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Thu, 23 Apr 2009 11:41:11 -0400

bogl (0.1.18-2) unstable; urgency=low

  * Orphan package.
  * Acknowledge large collection of NMUs.

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 08 Mar 2008 10:16:01 -0500

bogl (0.1.18-1.6) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Drop versioned build-dependency on linux-kernel-headers, which is
    build-essential in sarge and etch at the required version, and a virtual
    package in lenny and above.  Closes: #433273.
  * Also build-depend on libpng12-dev instead of libpng3-dev.
  * Add a SIGTERM signal handler which allows for a graceful exit,
    restoring the vt state; thanks to Matt Zimmerman <mdz@ubuntu.com>.
    Closes: #379708.

 -- Steve Langasek <vorlon@debian.org>  Sat, 08 Mar 2008 11:03:28 +0000

bogl (0.1.18-1.5) unstable; urgency=low

  * NMU
  * Fix FTBFS on some arches due to kernel-headers no longer defining
    PAGE_MASK on all arches. Closes: #393023

 -- Joey Hess <joeyh@debian.org>  Fri, 20 Oct 2006 16:08:45 -0400

bogl (0.1.18-1.4) unstable; urgency=low

  * NMU
  * Fix arch fix or amd64.

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Sep 2005 02:08:55 +0200

bogl (0.1.18-1.3) unstable; urgency=low

  * NMU
  * Fix Makefile to call dpkg-architecture in a way that will work with the
    new version, re-enables support for VGA16_FB.

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Sep 2005 10:35:08 +0200

bogl (0.1.18-1.2) unstable; urgency=HIGH

  * NMU
  * Fix FTBFS with gcc 4.0. Closes: #284741

 -- Joey Hess <joeyh@debian.org>  Wed, 21 Sep 2005 19:08:20 +0200

bogl (0.1.18-1.1) unstable; urgency=low

  * Non maintainer upload in favour of debian-boot.
  * Return exit code from process and update manpage. (closes: #258650)
  * Return 127 on exec errors.

 -- Bastian Blank <waldi@debian.org>  Fri, 23 Jul 2004 17:48:55 +0200

bogl (0.1.18-1) unstable; urgency=low

  * Work around 2.6.x vga16fb bugs (Closes: #245207).
  * PTY fixes from Colin Watson (Closes: #244771).

 -- Daniel Jacobowitz <dan@debian.org>  Wed,  5 May 2004 22:44:29 -0400

bogl (0.1.17-1) unstable; urgency=low

  * Fix a typo which broke bdftobogl on LP64 targets like ia64.

 -- Daniel Jacobowitz <dan@debian.org>  Sun,  7 Mar 2004 23:41:12 -0500

bogl (0.1.16-1) unstable; urgency=low

  * Add padding to font names in BGF files (Closes: #225543, #232720).

 -- Daniel Jacobowitz <dan@debian.org>  Tue, 24 Feb 2004 15:56:22 -0500

bogl (0.1.15-1) unstable; urgency=low

  * Acknowledge Petter's NMU (Closes: #221538).
  * Add a patch from Matt Kraai to reload fonts on SIGHUP (Closes: #219333).

 -- Daniel Jacobowitz <dan@debian.org>  Tue, 20 Jan 2004 21:14:51 -0500

bogl (0.1.14-1.1) unstable; urgency=high

  * Non maintainer upload.
  * Remove md5sum file from udeb.  It is only wasting space.  Patch
    from Matt Kraai. (Closes: #221538)
  * Urgency high to try to get this package into testing in time for
    beta2 of debian-installer.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 10 Jan 2004 11:09:50 +0100

bogl (0.1.14-1) unstable; urgency=low

  * New "upstream" release.
    - Fix the speed optimizations to refresh after VT switch
      (Closes: #215160).
    - Enable faster scrolling code, with fixes.
    - Fix clear-to-end-of-screen escape.

 -- Daniel Jacobowitz <dan@debian.org>  Tue,  4 Nov 2003 23:39:07 -0500

bogl (0.1.13-1) unstable; urgency=low

  * New "upstream" release.
    - Speed optimizations for bterm, indirectly from Alan Cox.

 -- Daniel Jacobowitz <dan@debian.org>  Sun,  5 Oct 2003 14:55:54 -0400

bogl (0.1.12-2) unstable; urgency=low

  * Add bogl-bterm-udeb package (Closes: #185046).

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 19 May 2003 11:14:10 -0400

bogl (0.1.12-1) unstable; urgency=low

  * New "upstream" release.
    - Add a workaround for x86-64, from Matt Wilson <msw@redhat.com>.
  * Update section for libbogl-dev.

 -- Daniel Jacobowitz <dan@debian.org>  Tue, 15 Apr 2003 20:04:19 -0400

bogl (0.1.11-1) unstable; urgency=low

  * New "upstream" release.
    - Support devfs (Closes: #182176).
    - Enable vga16 mode on ARM (See bug #182915).

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 23 Mar 2003 14:33:58 -0500

bogl (0.1.10-4) unstable; urgency=low

  * Update build dependencies to use libgd2 instead of libgd1
    (Closes: #180220).
  * Remove use of dh_undocumented.

 -- Daniel Jacobowitz <dan@debian.org>  Sat,  8 Feb 2003 12:40:57 -0500

bogl (0.1.10-3) unstable; urgency=low

  * Change build depends to libgd-noxpm-dev | libgd-xpm-dev to avoid the
    GIF version (Closes: #167195).

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 20 Nov 2002 10:12:29 -0500

bogl (0.1.10-2) unstable; urgency=low

  * Build depend on libpng3-dev instead of libpng2-dev (Closes: #159045).

 -- Daniel Jacobowitz <dan@debian.org>  Sun,  1 Sep 2002 21:35:16 -0400

bogl (0.1.10-1) unstable; urgency=low

  * New "upstream" release.
    - Better handling for mbrtowc errors (Closes: #140809).
    - Workaround for virgefb (Closes: #141547).
    - bdftobogl manpage (Closes: #141788, #141796).

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 17 Aug 2002 16:59:35 -0400

bogl (0.1.9-2) unstable; urgency=low

  * Add a manpage for bterm (Closes: #84208, #139713).

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 31 Mar 2002 15:43:27 -0500

bogl (0.1.9-1) unstable; urgency=low

  * New "upstream" release.
    - Several new terminfo capabilities, including scrolling up.
    - "less" works under bterm now.
    - Still one visible bug in mutt (if you are looking at a long message
      and hit 'v', the screen may not be properly cleared when the menu
      displays).  Probably we advertise some terminfo capability we
      don't actually support.
  * Support frame buffers whose start address is not page-aligned
    (Closes: #134014).
  * Add acsc, smacs, and rmacs capabilities to bterm.  They only work
    with UTF-8 etc. locales for the moment.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 18 Mar 2002 01:47:49 -0500

bogl (0.1.8-1) unstable; urgency=low

  * New "upstream" release - the "mutt almost works in bterm now" release.
  * Set controlling TTY for processes run in bterm (Closes: #121186).
  * Use u_int32_t instead of unsigned long, and fix pointer sizeofs.
  * Draw the cursor and screen refresh correctly (Closes: #119360).

 -- Daniel Jacobowitz <dan@debian.org>  Sat,  1 Dec 2001 13:05:14 -0500

bogl (0.1.7-1) unstable; urgency=low

  * New "upstream" release.
  * Add __attribute__ ((packed)) to some structures for ARM
    (Closes: #119030).
  * Better error handling in reduce-font, from Philip Blundell
    (Closes: #119110).

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 11 Nov 2001 11:21:43 -0500

bogl (0.1.6-2) unstable; urgency=low

  * Fix sections for libbogl0 and bogl-bterm.

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 28 Jun 2001 12:19:34 -0700

bogl (0.1.6-1) unstable; urgency=low

  * New "upstream" release.  That was quick.
  * Include <stdarg.h> in bowl-boxes.c so that va_* macros expand
    properly.
  * Install reduce-font for boot-floppies.
  * Finish killing libutf8.

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 27 May 2001 18:15:08 -0700

bogl (0.1.5-2) unstable; urgency=low

  * Oops, add ${shlibs:Depends} to libbogl-dev (Closes: #84210).

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 27 May 2001 17:55:16 -0700

bogl (0.1.5-1) unstable; urgency=low

  * New "upstream" release, fixing bterm's utf8 support.
  * Install bterm terminfo description.
  * Stop calling dh_testversion, we already had the right Build-Depends.

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 27 May 2001 17:16:20 -0700

bogl (0.1.4-1) unstable; urgency=low

  * New "upstream" release (closes: #87034).
  * Include libbogl.so link in libbogl-dev.

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 24 Feb 2001 16:16:14 -0500

bogl (0.1.3-1) unstable; urgency=low

  * New "upstream" release, with fixed multiselects and a mouse bug.

 -- Daniel Jacobowitz <dan@debian.org>  Tue, 26 Dec 2000 23:26:05 -0500

bogl (0.1.2-2) unstable; urgency=low

  * Oops, also build depend on libpng2-dev.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 25 Dec 2000 22:38:22 -0500

bogl (0.1.2-1) unstable; urgency=low

  * New "upstream" release, fixing mouse support a bit.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 25 Dec 2000 22:21:31 -0500

bogl (0.1.1-1) unstable; urgency=low

  * New "upstream" release (i.e. code changes, not just packaging changes).
  * Build depend on libgd-dev (for pngtobogl).

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 25 Dec 2000 02:56:22 -0500

bogl (0.1-2) unstable; urgency=low

  * Remove ".depend" when building the package, oops.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 20 Dec 2000 14:46:22 -0500

bogl (0.1-1) unstable; urgency=low

  * Initial Release.
  * Include the utf8 library plugin, since it seems to still be necessary
    (even with glibc 2.2 installed, although glibc 2.2 should have the
    needed functions...).
  * Clean up the makefiles for building without the rest of the boot
    floppies.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 20 Dec 2000 13:29:38 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address "dan@debian.org"
End:
